🏦Tenants
API's for managing Tenants.
Production URL: https://tenants-v1-api-rdqehkur6a-ey.a.run.app
Create Tenant
Get Tenant Wallets
Header parameters
x-api-keystringRequired
Your unique API Key.
x-api-hashstringRequired
Your API Hash.
Responses
200
OK
application/json
namestringOptional
The name of the wallet (e.g. "Tyga Wallet").
typestringOptional
The type of wallet (e.g. "distribution_wallet").
balancenumberOptional
The current balance of the wallet.
totalDepositednumberOptional
The total amount deposited into the wallet.
totalDistributednumberOptional
The total amount distributed from the wallet.
409
Permission denied.
500
Internal error.
get/tenant/wallets
GET /tenant/wallets HTTP/1.1
Host: tenants-v1-api-rdqehkur6a-ey.a.run.app
x-api-key: text
x-api-hash: text
Accept: */*
[
{
"name": "text",
"type": "text",
"balance": 1,
"totalDeposited": 1,
"totalDistributed": 1
}
]Get Tenant Deposit Addresses
Header parameters
x-api-keystringRequired
Your unique API Key.
x-api-hashstringRequired
Your API Hash.
Responses
200
OK
application/json
namestringOptional
The name of the deposit address (e.g. "distribution_wallet").
addressstringOptional
The deposit address for the tenant.
networkstringOptional
The network for the deposit address.
supportedTokensstring[]Optional
The supported tokens for the deposit address.
409
Permission denied.
500
Internal error.
get/tenant/deposit-addresses
GET /tenant/deposit-addresses HTTP/1.1
Host: tenants-v1-api-rdqehkur6a-ey.a.run.app
x-api-key: text
x-api-hash: text
Accept: */*
[
{
"name": "text",
"address": "text",
"network": "text",
"supportedTokens": [
"text"
]
}
]Last updated